Package org.eclipse.net4j.db.ddl.delta

# Interface IDBDeltaWithPosition

All Superinterfaces:
  `Comparable<IDBDelta>`, `org.eclipse.net4j.util.container.IContainer<IDBDelta>`, `IDBDelta`, `IDBDeltaWithProperties`, `IDBElement`, `IDBNamedElement`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.collection.PositionProvider`

All Known Subinterfaces:
  `IDBFieldDelta`, `IDBIndexFieldDelta`

public interface IDBDeltaWithPosition extends IDBDeltaWithProperties, org.eclipse.net4j.util.collection.PositionProvider

Since:
  4.2
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E>, org.eclipse.net4j.util.container.IContainer.Persistable<E>, org.eclipse.net4j.util.container.IContainer.Persistence<E>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`IDBDelta.ChangeKind, IDBDelta.DeltaType`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`POSITION_PROPERTY`

## Method Summary

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDelta

`accept, getChangeKind, getDeltaType, getParent, getSchemaDelta, getSchemaElement`

### Methods inherited from interface org.eclipse.net4j.db.ddl.delta.IDBDeltaWithProperties

`getPropertyDelta, getPropertyDeltas, getPropertyDeltasSortedByName, getPropertyValue, getPropertyValue`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBElement

`getProperties`

### Methods inherited from interface org.eclipse.net4j.db.ddl.IDBNamedElement

`getName`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.collection.PositionProvider

`getPosition`

## Field Details

### POSITION_PROPERTY

static final String POSITION_PROPERTY

See Also:
  - Constant Field Values